Index: trunk/SRC/ToBeReviewed/GRILLE/f2v.pro
===================================================================
--- trunk/SRC/ToBeReviewed/GRILLE/f2v.pro	(revision 163)
+++ trunk/SRC/ToBeReviewed/GRILLE/f2v.pro	(revision 231)
@@ -1,13 +1,10 @@
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
 ;+
 ;
 ; @file_comments
-; Allows to pass a field referring to the grid F on the grid V, 
-; thanks to the average: 
-; res = 0.5*(res + shift(res, 1, 0))    
+; Allows to pass a field referring to the grid F on the grid V,
+; thanks to the average:
+; res = 0.5*(res + shift(res, 1, 0))
 ;
-; @categories 
+; @categories
 ; Grid
 ;
@@ -21,10 +18,10 @@
 ; common.pro
 ;
-; @restrictions 
-; Force parameters of the zoom on the grid V to be the same as 
+; @restrictions
+; Force parameters of the zoom on the grid V to be the same as
 ; those on the grid T.
 ;
-; @restrictions 
-; Points which can not be calculated are put at the value NaN 
+; @restrictions
+; Points which can not be calculated are put at the value NaN
 ; consecrated by IDL: !values.f_nan
 ;
@@ -38,9 +35,6 @@
 ;
 ;-
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
+;
 FUNCTION f2v, temp
-;---------------------------------------------------------
 ;
   compile_opt idl2, strictarrsubs
@@ -68,7 +62,7 @@
 ; case on tha array's size and application
    taille = size(temp)
-   CASE taille[0] OF 
+   CASE taille[0] OF
       1: res = -1
-      2: BEGIN 
+      2: BEGIN
          case 1 of
             taille[1] eq nxf and taille[2] eq nyf:
@@ -79,13 +73,13 @@
          endcase
          mask = (fmask())[firstxf:lastxf, firstyf:lastyf, 0]
-         terre = where(mask EQ 0) 
+         terre = where(mask EQ 0)
          IF terre[0] NE -1 THEN res[terre] = !values.f_nan
          res = 0.5*(res + shift(res, 1, 0))
          if NOT (keyword_set(key_periodic) AND nxf EQ jpi) then res[0, *] = !values.f_nan
          mask = (vmask())[firstxf:lastxf, firstyf:lastyf, 0]
-         terre = where(mask EQ 0) 
+         terre = where(mask EQ 0)
          IF terre[0] NE -1 THEN res[terre] = valmask
       END
-      3: BEGIN 
+      3: BEGIN
          case 1 of
             taille[1] eq nxf and taille[2] eq nyf AND taille[3] EQ nzt:
@@ -105,5 +99,5 @@
             mask = reform(mask, nxf, nyf, jpt, /over)
          ENDIF ELSE mask = (fmask())[firstxf:lastxf, firstyf:lastyf, firstzt:lastzt]
-         terre = where(temporary(mask) EQ 0) 
+         terre = where(temporary(mask) EQ 0)
          IF terre[0] NE -1 THEN res[temporary(terre)] = !values.f_nan
          res = 0.5*(res + shift(res, 1, 0, 0))
@@ -114,8 +108,8 @@
             mask = reform(mask, nxf, nyf, jpt, /over)
          ENDIF ELSE mask = (vmask())[firstxf:lastxf, firstyf:lastyf, firstzt:lastzt]
-         terre = where(temporary(mask) EQ 0) 
+         terre = where(temporary(mask) EQ 0)
          IF terre[0] NE -1 THEN res[temporary(terre)] = valmask
       END
-      4: BEGIN 
+      4: BEGIN
          case 1 of
             taille[1] eq nxf and taille[2] eq nyf AND taille[3] EQ nzt AND taille[4] EQ jpt:
@@ -130,5 +124,5 @@
          mask = temporary(mask[*])#replicate(1, jpt)
          mask = reform(mask, nxf, nyf, nzt, jpt, /over)
-         terre = where(temporary(mask) EQ 0) 
+         terre = where(temporary(mask) EQ 0)
          IF terre[0] NE -1 THEN res[temporary(terre)] = !values.f_nan
          res = 0.5*(res + shift(res, 1, 0, 0, 0))
@@ -137,5 +131,5 @@
          mask = temporary(mask[*])#replicate(1, jpt)
          mask = reform(mask, nxf, nyf, nzt, jpt, /over)
-         terre = where(temporary(mask) EQ 0) 
+         terre = where(temporary(mask) EQ 0)
          IF terre[0] NE -1 THEN res[temporary(terre)] = valmask
       END
@@ -144,7 +138,6 @@
    IF NOT keyword_set(key_forgetold) THEN BEGIN
    @updateold
-   ENDIF 
-   
+   ENDIF
+
    return, res
 END
-
